<html>
<head>
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>

<link rel="stylesheet" href='https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css'>

<div class = "collapse navbar-collapse" id="mainNavbar">
	<ul class="nav navbar-nav">
		<li class="active"><a href="#">Home</a></li>
		<li><a href="#">Course</a></li>
		<li><a href="#">About</a></li>
	</ul>

	{% if user.is_authenticated %}
	<ul class="nav navbar-nav navbar-right">
		<li><a href="#"><span class="glyphicon glyphicon-user"></span>WELCOME, {{ request.user.first_name }} {{ request.user.last_name }}!</a></li>
		<li><a href="/admin/logout/?next=/suatu_url"><span class="glyphicon glyphicon-log-in"></span>Logout</a></li>
	</ul>

	{% else %}
	<ul class="nav navbar-nav navbar-right">
		<li><a href="#"><span class="glyphicon glyphicon-user"></span>Register Account</a></li>
		<li><a href="/admin/login/?next=/suatu_url"><span class="glyphicon glyphicon-log-in"></span>Login</a></li>
	</ul>

	{% endif %}

</div>
<br>
{% if not user.is_authenticated %}

<p>Please Login to search your books!</p>

{% endif %}

<input id="keyword" placeholder="Masukkan kata kunci">



<ol id="daftar_isi">
	
</ol>

<script type="text/javascript">
	$("#keyword").keyup(function(){
		var ketikan = $("#keyword").val()
		console.log(ketikan);
		// panggil dengan teknik AJAX
		$.ajax({
			url:"/data?q=" + ketikan,
			success: function(data) {
				// console.log(data);
				var array_items = data.items;
				console.log(array_items);
				$("#daftar_isi").empty();
	
				for (i = 0; i < array_items.length; i++) {
					var judul = array_items[i].volumeInfo.title;
					var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
					$("#daftar_isi").append("<br><li><table><td><img src=" + gambar + "></td><td>" + judul + "</td></table></li><br>")
					// $("#daftar_isi").append("<li><table><td>" + judul + "</td>" + "<td><img src=" + gambar + "></td></table></li>")
					// console.log(judul);
					
				}
			}
		});
	});
</script>







</html>
